Bug 216282 - Review Request: mirage - A fast and simple image viewer
Review Request: mirage - A fast and simple image viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
: 196570 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-18 14:00 EST by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 04:20:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmbuild build log of mirage-0.8.1-1 by me (8.37 KB, text/plain)
2006-11-20 19:07 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2006-11-18 14:00:39 EST
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/mirage.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/mirage-0.8.1-1.src.rpm
Description: 
Mirage is a fast and simple GTK+ image viewer. Because it 
depends only on PyGTK, Mirage is ideal for users who wish to 
keep their computers lean while still having a clean image viewer.

-----------------------------------------------
NOTE:

The original review request is bug 196570 , which is stalled.
However, I could not download the original spec file from the
bug so I rewrote the spec file fully by myself.
Comment 1 Mamoru TASAKA 2006-11-18 14:03:19 EST
*** Bug 196570 has been marked as a duplicate of this bug. ***
Comment 2 Parag AN(पराग) 2006-11-19 02:01:36 EST
Review:
+ package builds in mock (development i386) for FC7.
+ rpmlint is silent for RPM and SRPM.
+ source files match upstream.
c87da5b76f856fd7a759a355259b76ed  mirage-0.8.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named and is cleanly written.
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc files.
+ no -devel subpackage exists
+ no .la files included.
+ translations are available.
+ scriptlets update-desktop-database is used.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed successfully
+ Desktop file is handled correctly in SPEC file.
+ GUI application
+ Followed Python packaging guidelines also.
APPROVED.
Comment 3 Mamoru TASAKA 2006-11-19 02:04:40 EST
Thank you.

I will import this to FE when FE CVS system revives.
Comment 4 Parag AN(पराग) 2006-11-19 02:07:26 EST
Thanks
Comment 5 Rahul Sundaram 2006-11-20 12:59:53 EST

I tried building and running the SRPM package and I get the following traceback. 

mirage
Traceback (most recent call last):
  File "/usr/bin/mirage", line 29, in ?
    app = mirage.Base()
  File "/usr/lib/python2.4/site-packages/mirage.py", line 270, in __init__
    pixbuf = gtk.gdk.pixbuf_new_from_file(leave_fullscreen_icon_path)
gobject.GError: Failed to open file '': No such file or directory
Comment 6 Mamoru TASAKA 2006-11-20 18:33:22 EST
(In reply to comment #5)
> I tried building and running the SRPM package and I get the following traceback. 

I cannot figure out what is the problem only from your information.
Currently I can only say 'this program works for me'......
Would you tell me more details so that I can reproduce your situation?

By the way, are 3 image files correctly installed under /usr/share/mirage?
Comment 7 Rahul Sundaram 2006-11-20 18:52:54 EST
I used rpmbuild to build the srpm at 

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/mirage-0.8.1-1.src.rpm.


/usr/share/mirage is empty. Is there any additional details you would like to know?
Comment 8 Mamoru TASAKA 2006-11-20 19:07:00 EST
Created attachment 141711 [details]
rpmbuild build log of mirage-0.8.1-1 by me

(In reply to comment #7)
> /usr/share/mirage is empty. Is there any additional details you would like to
know?

This is a problem. Maybe I have to add some BRs (however
mockbuild shows no problem for me....)
Please attach your build log, which may be helpful.

I attach my build log FYI.
Comment 9 Parag AN(पराग) 2006-11-20 23:21:39 EST
Rahul,
Being the reviewer of this package i had checked all things including build.log
and tested application successfully by running it from console and desktop icon
also.
Its working fine without problem in my machine.
Can you submit messages coming from following command at least
rpmbuild --rebuild mirage-0.8.1-1.src.rpm ??
Also check that you have 
pygtk2 and gnome-python2-gconf installed on your system.
Remember gnome-python2-gconf is in FC6 Updates and not in FC6 Core repository.
Comment 10 Mamoru TASAKA 2006-11-21 04:20:29 EST
Well,
* Rebuild for FE-devel succeeded, no problem.
http://buildsys.fedoraproject.org/plague-results/fedora-development-extras/mirage/
* SyncNeeded is requested for FE-6, FE-5.

Parag, thank you for reviewing and approving this package!!
Rahul, if your problem still reappear, please open a new bug report.

Now I close this bug as CLOSED NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.